removeBatchEffect {limma} | R Documentation

## Remove Batch Effect

### Description

Remove a batch effect from expression data.

### Usage

    removeBatchEffect(x,batch,design=NULL)

### Arguments

`x` | numeric matrix containing log-expression intensity for a series of microarrays. Each column corresponds to an array.
`batch` | a factor or vector indicating batches.
`design` | an optional design matrix

### Details

This function is useful for removing batch effects, associated with hybridization time or other technical variables, prior to clustering or unsupervised analysis.

This function is intended for use with clustering or PCA, not for use prior to linear modelling. If linear modelling is intended, it is better to include the batch effect as part of the linear model.

### Value

A numeric matrix of log-expression values with batch effects removed.

### Author(s)

Gordon Smyth and Carolyn de Graaf

### See Also

05.Normalization

[Package limma version 2.16.5 Index]